About Abilon

Abilon is an RSS feed aggregator which will save you browsing time by monitoring information sources, gathering all of the information that you regularly access and presenting it in a comfortable and adjustable way...

Just think about all of the information that you access on the Web on a day-to-day basis; news headlines, software updates, new weblog posts, and so forth.

Browsing everyday multiple sites, searching new added information and filtering it for interesting topics is an activity that is time-consuming. One of the solutions for finding newly added content on regularly visited web sites is the use of RSS channels (feeds). Many sites (regular or specialized in news) and weblogs present their new information as RSS feeds. Those are ordinary XML (eXtensive Markup Language) files containing in the case of news sites the latest news headlines and in the case of regular sites the latest updates (new pages, new software to download, etc.).

If you've never dealt with web pages monitoring programs, you would find out that the content present on most news sites and weblogs is available for viewing without having oneself bored with opening new windows and filtering information again and again.

Abilon won't forget to visit your favorite websites and will alert you if there are any changes in the content present on those sites pages. Abilon has also a built-in blogging tool which will make posting new content to your blog a very easy process.

Why it is possible?

Websites that publish new content regularly usually provide a list of news headlines and links to their latest content in a friendly for syndication way.

What is it all about?

The key point is that you don't have to visit sites again and again to find out what's new. With the help of Abilon you will monitor web sites and get your information automatically.


General RSS Properties

GENERAL RSS FEED (COLUMN) PROPERTIES

Title | The phrase which will be displayed in the feed (column) header and in the panel containing the columns tree. Usually the title is the name of the website which originates the feed, to which may be attached a description of its content.
URL | This is the url (web address) of the RSS feed. It usually ends in "xml". For example http://www.site.com/RssFeed.xml . If a site provides a RSS feed it usually dispalys on the home page a little button colored orange that has "XML" written on it with white letters. We can copy the address of the feed if we right-click the little button and then cclick on the option "Copy Shortcut"). We can use the copied address to subscribe to the feed from inside Abilon. Other sites use little buttons that have written on them "RSS", "Flux RSS", "RDF", "Atom", etc.
Use Title from RSS file | A feed has a title chosen by its author and usually it contains the name of the website and also a description of the content present on the site (for example: HNR- Hardware News and Reviews). But sometimes this description is too long and in this case the user can modify the title so as to keep the name of the site, but delete the long description. If this situation the option "Use title from RSS" must be unchecked and the title modified to suit the preferences of the user. If this option is checked the full title will be displayed.
Login | This is the user's name required to get access to a web page that permits access only to registered users. Usually it is not needed, because the majority of the content on the internet is freely accesible to all users.
Password | This is the password necessary to get access to a web page that permits access only to registered users. Usually it is not needed, because the majority of the content on the internet is freely accesible to all users.

© 2002-2004 www.activerefresh.com. Last update on April 04, 2004


Column Alert and Update Properties

ALERT SETTINGS

The user can set here the time interval after which Abilon must check for feed updates. Also he (she) can specify if he (she) wants to hear a sound alert after the update is complete.

Check Every | Selecting this option (by clicking on it) activates the drop-down menu present on the right. In this menu the user can choose an appropriate update interval (each day, week, hour, 30 minutes or 10 minutes) for a feed (column) based on the regularity (daily, weekly, hourly, etc.) with which new items are added to that particular feed.
Custom | Selecting this option (by clicking on it) allows the user to set an update interval of his choice for a particular feed. The format must be the following: HH:MM:SS (for example 03:30:00 if we want Abilon to check for updates every three and a half hours).
Only Manual Check | Selecting this option (by clicking on it) prohibits Abilon to automatically update the feed. The user must then remember to manually update the feed.
Update on start | Selecting this option (by clicking on it) means that the feed (column) will be updated upon launching Abilon. This option is enabled only if you have previously selected the option "Only manual check".
Play sound when updated | Checking this option means that Abilon will notify you with an audio signal after completing the update of a feed.


Filters

FILTERS SETTINGS
You can use filters in order to process incoming data. In Abilon the filters work similarly with those used in e-mail programs, that sort incoming messages based on words present in the header or body of messages. Basically in Abilon the user can specify if an item from a feed is accepted, rejected or marked as read, based on words present in the item's title, description or link.

Adding Filters : To add a filter we must click on the "Add" button. In the little window that appears we must define a "rule" for the filter, that is a sequence of actions that must be performed by Abilon if a word (or string of words) is encountered in the content of the items present in a feed. The rule has this pattern : If one part of the item (title, description, link, or any of them) contains (or conversely, doesn't contain) a word (or a string of words) then the respective item can be accepted, rejected (declined) or marked as read. We must use the drop-down menus in order to select the options that will define the rule. Of course the word (or string of words) that must trigger the action of the filter must be typed in the box. Once the rule for the filter is defined we must click on the "OK" button and the filter will be activated.

Editing Filters : In order to modify (edit) a filter we must select it in the list of filters and then click on the "Edit" button. We can then redefine the rule on which the filter is based, as specified above.

Removing Filters : In order to remove (delete) a filter we must select it in the list of filters and then click on the "Remove" button. The filter will then be disabled. If we want to reenable it, we must create it again.

Arranging Filters : We can change the position of a filter in the list by clicking on it and then clicking on the "Move Up" or "Move Down" buttons.


ACTIONS SETTINGS
The user can specify some actions to be performed automatically by the program after a feed (column) is updated.

AutoSave | Abilon can save a record of a column (feed) after it is updated, for follow-up processing. This is useful if you want to pass the information collected in Abilon to other programs. Check "Auto-Save after update" and then click on the little white button situated to the right. Select a text file in the Explorer window and then click on the "Save" button. The path to the file will be displayed in the box. If you do not need this feature let the option "Auto-Save after update" unchecked.
External program | Abilon can automatically call (launch) an external program after a feed (column) is updated, so as the user can further process the data from the feed. Check "Call External Program" and then click on the little white button situated to the right. Select a executable (.exe) file in the Explorer window and then click on the "Save" button. Answer with "Yes" to the alert window "File already exists. Do you want to replace it?" and the path to the executable file will be displayed in the box. This file will not be replaced or modified, regardless of what the alert window says.
Send Mail | Abilon can send an e-mail after a feed (column) is updated. Check "Send E-Mail when updated" and then type the appropriate address in the "Target E-Mail Address" box. If you check also "Include body", the updated data will be included in the message.


Archive

ARCHIVE SETTINGS
The author of a feed modifies periodically the XML file that contains the RSS feed by adding fresh (new) items and deleting the old ones. Abilon checks the XML file and based on its content the program deletes the items that are no longer present in the XML file, and of course downloads the new added ones. The user can change this default behavior of Abilon by enabling the "archiving" feature, in order to store all the content of a feed regardless of the modifications made by the feed's author.

Enable archiving | Check this option if you want to be able to store the content of a feed, either in terms of a number of items or in terms of a period of time. When "Enable archiving" is unchecked, Abilon deletes the items from a feed when they are no longer present in the XML file containing the feed.
Store last NNN records | Select this option (by clicking on it) and specify the number (e.g. 300) of the most recently added items from a feed that you want Abilon to archive (store).
Store records for last NNN days | Select this option (by clicking on it) and specify the number (e.g. 30) of days for which Abilon must store all the items from a feed.


GROUP GENERAL PROPERTIES

Group Title

It is the name of the folder containing a number of feeds. The user can specify a name for the folder, name that reflects the thematic of the columns (feeds) contained in that folder. It is displayed in the group header.


GENERAL SETTINGS
Use this tab to specify some general program settings.

Launch At StartUp | Check this option if you want Abilon to be launched automatically when Windows is started.
Use External Browser | If this option is unchecked, Abilon will open clicked links (present in the items) in its built-in browser. Check this option if you want to open links in your default browser (Internet Explorer or other similar software).
Minimize On Start | Check this option if you want to start Abilon in a minimized state (only the system tray icon will be visible). It is useful especially when the option "Launch At StartUp" is also checked. When Abilon is minimized to the system tray, righ-clicking on its icon will open a contextual menu from which we can control the program.
Minimize On Close | Check this option if you want to minimize Abilon when clicking on the "close" icon (the "x" present in the upper-right corner of the main window). It is useful if you want to run Abilon in the background, while you are working in other programs. If you uncheck this option Abilon could be minimized in the system tray if you click the "minimize icon" present in the upper right corner of the main window, and clicking on the "close" icon will exit the program.
Encoding | Abilon can read information from feeds with different encodings (for example feeds written in english, russian, romanian, etc.). In order for the content of the items to be displayed correctly you must specify the appropriate encoding by using the drop-down menu. It is recommended to choose the "automatic encoding" so that Abilon will decide automatically which encoding to use for every feed. If this does not work correctly (the content of the items is unreadable for some feeds), you could choose another option for encoding the feeds, for example: Western European (for english, french, etc.), Central European (for romanian, hungarian, etc.) or Cyrillic Windows (for russian, bulgarian, etc.).
Mark Column Read after NNN seconds | You can specify here the number of seconds after which an item will be marked as read. Use the little arrows to select the desired number.
Disable All Sounds | Abilon plays a sound when new items arrive (feeds are updated). If you don't want to hear this sound, check this option.
Disable All Popups | Abilon shows a little popup window (in the lower-right corner of the screen) when new items arrive. If you don't want to see this window, check this option.


Interface

INTERFACE SETTINGS
Use this tab to specify some settings regarding Abilon's interface.

Items in Categories (Groups) | Specify the behavior of Abilon when you click on a group (category) in the columns (feeds) tree. On the right (in the Items Panel) will be displayed items from all the feeds (columns) present in the group. Depending on the option that you choose (by clicking on it), in the Items Panel will be displayed all the items, only the unread items or none of the items from the feeds contained in the group.
Show Unread Items First | If this option is checked, Abilon will show unread items at the top of the list.
Show Descriptions in Items View | If this option is checked, Abilon will show in the Items Panel not only the titles of the items, but also a portion of the content of each item. The size of the displayed description can be set by the user as explained below. If this option is unchecked, only the title of the items will be displayed.
Limit the Number of Symbols in Description | If this option is checked, the user can limit the number of characters (letters) present in the description. Use the little arrows to select the desired number. This option can be enabled only if the option "Show Descriptions in Items View" is checked. If this option is unchecked, the full description of each item will be displayed.
Limit the Number of Lines in Description | If this option is checked, the user can limit the number of lines (rows of words) present in the description. Use the little arrows to select the desired number. This option can be enabled only if the option "Show Descriptions in Items View" is checked. If this option is unchecked, the full description of each item will be displayed.
Sort Columns in Columns Tree in alphabetical order | If this option is checked, Abilon will sort the groups (and the feeds present in them) in alphabetical order.


FONT
Use this tab to specify the type of font (and its size) used in the title or description of the items from a feed.

Items Font : Use the drop down menus to select a type of font (for example Arial) and its size (for example 17) to be used in the title of the items from a feed.

Items Description Font : Use the drop down menus to select a type of font (for example Arial) and its size (for example 17) to be used in the description (present right under the title) of the items from a feed.


COLUMNS
Use this tab to specify the default settings for all newly added feeds (columns).

In the Interval section the user can set the time interval after which Abilon must check for feed updates.

In the Archive section the user can set the behavior of Abilon with regard to the storage of the items present in the feeds.

Check Every | Selecting this option (by clicking on it) activates the drop-down menu present on the right. In this menu the user can choose an appropriate update interval (each day, week, hour, 30 minutes or 10 minutes) for the newly added feeds (columns).
Custom | Selecting this option (by clicking on it) allows the user to set an update interval of his choice for newly added feeds. The format must be the following: HH:MM:SS (for example 03:30:00 if we want Abilon to check for updates every three and a half hours).
Only Manual Check | Selecting this option (by clicking on it) prohibits Abilon to update automatically the feeds. The user must then remember to manually update the feeds.
Enable archiving | Check this option if you want to be able to store the content of the feeds, either in terms of a number of items or in terms of a period of time. When "Enable archiving" is unchecked, Abilon deletes the items from a feed when they are no longer present in the XML file containing the feed.
Store last NNN records | Select this option (by clicking on it) and specify the number (e.g. 300) of the most recently added items from newly added feeds that you want Abilon to archive (store).
Store records for last NNN days | Select this option (by clicking on it) and specify the number (e.g. 30) of days for which Abilon must store all the items from newly added feeds.


BLOG SETTINGS
Use the "Blog settings" tab to define your blog tool settings.

Blogging Tool | Abilon supports two blogging tools: its own built-in blogging tool (selected by default) and w.Bloggar. Choose from the drop-down menu the tool that you intend to use.
Blog Service | If you are using the built-in blogging tool, you must specify the service that you use for your blog. Abilon supports the "Blogger", "LiveJournal" and "Movable Type" blog services. Choose from the drop-down menu the service that you intend to use.
Account name | Type in the box the account name (user name) that you have chosen when you have registered for the blog service.
Account password | Type in the box the account password that you have chosen when you have registered for the blog service.
API Host | Type in the box the host of your blog service. If you don't know it, read the manual of the bloging software or the help section present on the blog service's website.
Page | Type in the box the page of your blog service. If you don't know it, read the manual of the blogging software or the help section present on the blog service's website.


PROXY
Use this tab to specify your proxy settings in order for Abilon to be able to connect to the internet.
No Proxy | If you access directly the internet (the usual situation if you conect from your home) and not by means of a proxy server, you must click on this option in order to select it.
Settings from IE | If you have access to the internet but do not know if you are using or not a proxy server, you must click on this option and Abilon will use the settings specified in Internet Explorer (IE).
Specify Proxy Settings | If you have access to the internet but only by means of a proxy server (for example when you connect from the workplace), you must click on this option and then type in the boxes below the settings for the proxy server.


MAIL SETTINGS
Use this tab if you want to be notified (or want to notify somebody else) by e-mail when a feed (column) is updated.

Outgoing SMTP Server | Type in the box the address of your SMTP e-mail server. For example if your internet service provider is named "NetConnect", the SMTP address will likely be: mail.netconnect.com
Your E-Mail | Type in the box your e-mail address. For example: user@netconnect.com


What is "Memories"

WHAT ARE THE "MEMORIES"

The main idea of the "Memories" channels (columns) is to store and organize the data that we want to keep for further reference. We can store full items from the feeds, or only portions of those items that we want to reread later.


Create Memories

CREATING MEMORIES GROUPS AND CHANNELS

To create a Memories channel (column) or group select any group (displayed as a folder) in the Memories tree, click the right mouse button and in the menu that appears click on the option "New Memories Group" or "New Memories Column". Type a name for the group (or column) in the little window and then press the Enter key. If there are no groups created select the top item, named "Memories" and proceed as described above.

To change the name of a Memories channel or group select the respective channel (or group) memories in the Memories tree, click the right mouse button, click on the option "Properties" ( or "Group Properties" for Memories groups), type a name in the little window and finally press the Enter key.


Add Data To Memories

ADDING DATA TO MEMORIES

There are two ways to add data to Memories:

1. In the viewing panel (where you can read the content of an item) select a portion of the content present in an item , click the right mouse button, position the cursor on the option "To Memories" in the context menu and finally select one of the memories channels (columns) and click on it. If there are no Memories channels present, create one by clicking on "New Memories Channel", type a name for it in the little window and then press the Enter key.

2. In the items panel (that contains the list of items from a feed) select the title of an item by clicking on it, then click the right mouse button, position the cursor on the option "To Memories" from the context menu and finally select one of the memories channels and click on it. If there are no Memories channels (columns) present, create one by clicking on "New Memories Column", type a name for it in the little window and then press the Enter key.